﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using NUnit.Framework;

using Siemens.Automation.OMSPlus.Test.OMSp_Managed_HelpLib;


namespace NunitTest
{
	/// <summary>
	/// test class
	/// </summary>
	[TestFixture]
	public class TestCls : TestClsBase
	{

		#region setup


		[SetUp]
		new public void RunBeforeTestCase()
		{
			base.RunBeforeTestCase();
		}

		[TestFixtureSetUp]
		new public void RunBeforeScenario()
		{
			base.RunBeforeScenario();
		}


		#endregion setup


		#region teardown


		[TearDown]
		new public void RunAfterTestCase()
		{
			base.RunAfterTestCase();
		}


		[TestFixtureTearDown]
		new public void RunAfterScenario()
		{
			base.RunAfterScenario();
		}


		#endregion teardown

		#region test


		[Test, Description(""), Category("Detailed")]
		public void A_download_tree_scenario_1()
		{
			startCurrentTest("A_download_tree_scenario_1");
		}


		[Test, Description(""), Category("Detailed")]
		public void A_download_tree_scenario_2()
		{
			startCurrentTest("A_download_tree_scenario_2");
		}


		#endregion test


		override public void startTest(string sFuncName)
		{
			if (0 == String.Compare(sFuncName, "A_download_tree_scenario_1"))
			{
				Console.WriteLine("TestCls::A_download_tree_scenario_1()");
				m_DistribTest.A_download_tree1();
			}
			else if (0 == String.Compare(sFuncName, "A_download_tree_scenario_2"))
			{
				Console.WriteLine("TestCls::A_download_tree_scenario_2()");
				m_DistribTest.A_download_tree2();
			}
			else
			{
				// problema - assert podveshivaet nash test-thread...
				// t.e. po vsemu testu nel'zja rasstavljat' Assert-y, nado delat' klass, kotoryj 
				//budet analizirovat' oshibki i v sluchae ih obnaruzhenija soobshhat' WD-gu, 
				// chtoby on uzhe sam vyzval killThread()
				//Assert.Fail("TestCls: startTest() - TEST WAS NOT FOUND !!!!!!!!!!!!!!!! ....");
				m_DistribTest.saveCurrentError("TestCls::startTest", "TEST WAS NOT FOUND !!!!!!!!!!!!!!!!", 0, null, true);
			}

			// setzen Event auf state = free; schreiben log
			endCurrentTest("TestCls");
		}

	}
}
